<?php

require_once '../credentials.php';

// Emitere factura cu chitanta
$invoice = array(
    'companyVatCode' 		=> $companyVatCode,
    'client' 				=> array(
        'name' 		=> "Intelligent IT",
        'vatCode' 	=> "RO12345678",
        'code' 		=> "",
        'address' 	=> "str. Sperantei, nr. 5",
        'regCom' 	=> "",
        'isTaxPayer'=> false,
        'contact' 	=> "",
        'phone' 	=> "",
        'city' 		=> "Sibiu",
        'county' 	=> "Sibiu",
        'country' 	=> "Romania",
        'email' 	=> "",
        'bank' 		=> "",
        'iban' 		=> "",
        'saveToDb' 	=> false,
    ),
    'isDraft' 				=> false,
    'issueDate' 			=> date('Y-m-d'),
    'seriesName' 			=> $companyInvoiceSeries,
    'currency' 				=> "RON",
    'exchangeRate' 			=> 1,
    'language' 				=> "RO",
    'precision' 			=> 2,
    'issuerCnp' 			=> "",
    'issuerName' 			=> "",
    'aviz' 					=> "",
    'dueDate' 				=> date('Y-m-d', time() + 14*3600),
    'mentions' 				=> "",
    'observations' 			=> "",
    'delegateAuto' 			=> "",
    'delegateIdentityCard' 	=> "",
    'delegateName' 			=> "",
    'deliveryDate' 			=> '',
    'paymentDate' 			=> '',
    'useStock' 				=> false,
    'useEstimateDetails' 	=> false,
    'usePaymentTax' 		=> false,
    'paymentBase' 			=> 0,
    'colectedTax' 			=> 0,
    'paymentTotal' 			=> 0,
    'products' 				=> array(
        array(
            'name' 						=> "Mapa A4",
            'code' 						=> "ccd1",
            'translatedName' 			=> "",
            'translatedMeasuringUnit' 	=> "",
            'isDiscount' 				=> false,
            'measuringUnitName' 		=> "buc",
            'currency' 					=> "RON",
            'quantity' 					=> 2,
            'price' 					=> 40,
            'isTaxIncluded' 			=> true,
            'taxName' 					=> "Normala",
            'taxPercentage' 			=> 20,
            'saveToDb' 					=> false,
            'warehouseName' 			=> "",
            'isService' 				=> false,
        ),
        array(
            'name' 						=> "Biblioraft Plastifiat",
            'code' 						=> "ccd2",
            'translatedName' 			=> "",
            'translatedMeasuringUnit' 	=> "",
            'isDiscount' 				=> false,
            'measuringUnitName' 		=> "buc",
            'currency' 					=> "RON",
            'quantity' 					=> 3,
            'price' 					=> 60,
            'isTaxIncluded' 			=> true,
            'taxName' 					=> "Normala",
            'taxPercentage' 			=> 20,
            'saveToDb' 					=> false,
            'warehouseName' 			=> "",
            'isService' 				=> false,
        ),
		array(
            'name' 						=> "Discount valoric pe produsul 2",
            'code'                      => '',
            'translatedName' 			=> "",
            'translatedMeasuringUnit' 	=> "",
            'isDiscount' 				=> true,
            'numberOfItems' 			=> 1,
            'measuringUnitName' 		=> "buc",
            'currency' 					=> "RON",
            'quantity'                  => 1,
            'price'                     => 0,
            'isTaxIncluded' 			=> true,
            'taxName' 					=> "Normala",
            'taxPercentage' 			=> 20,
            'discountType' 				=> SmartBillCloudRestClient::DiscountType_Valoric,
            'discountPercentage' 		=> 0,
            'discountValue' 			=> -15,
        ),
        array(
            'name' 						=> "Discount procentual pe produsul 1 si 2",
            'code'                      => '',
            'translatedName' 			=> "",
            'translatedMeasuringUnit' 	=> "",
            'isDiscount' 				=> true,
            'numberOfItems' 			=> 2,
            'measuringUnitName' 		=> "buc",
            'currency' 					=> "RON",
            'quantity'                  => 1,
            'price'                     => 0,
            'isTaxIncluded' 			=> true,
            'taxName' 					=> "Normala",
            'taxPercentage' 			=> 20,
            'discountType' 				=> SmartBillCloudRestClient::DiscountType_Procentual,
            'discountPercentage' 		=> 10,
            'discountValue' 			=> 0,
        ),
    ),
	'payment' => array(
	    'value' 		=> 100,
	    'paymentSeries' => $companyReceiptSeries,
	    'type' 			=> SmartBillCloudRestClient::PaymentType_Chitanta,
	    'isCash' 		=> false,
	),
);
echo 'Emitere factura cu chitanta ';
try {
    $output = $sbcClient->createInvoice($invoice); //invoice.Number will be  generated by the server
    $invoiceNumber = $output['number'];
    $invoiceSeries = $output['series'];
	$receiptNumber = $output['chitantaNumber'];
    $invoiceSeries = $output['chitantaSeries'];
	echo 'Factura ' . $invoiceSeries . $invoiceNumber . ' si chianta ' . $invoiceSeries . $receiptNumber;
} catch (Exception $ex) {
    echo $ex->getMessage();
}
echo '<br>';