<?php

require_once '../credentials.php';

// Folosirea cotelor TVA
$invoice = array(
    'companyVatCode'=> $companyVatCode,
    'client'        => array(
        'name'          => "Intelligent IT",
        'vatCode'       => "RO12345678",
        'regCom'        => "",
        'address'       => "str. Sperantei, nr. 5",
        'isTaxPayer'    => false,
        'city'          => "Sibiu",
        'country'       => "Romania",
        'email'         => "office@intelligent.ro",
        'saveToDb'      => true,
    ),
    'issueDate'     => date('Y-m-d'),
    'seriesName'    => $companyInvoiceSeries,
    'dueDate'       => date('Y-m-d', time() + 14*3600),
    'deliveryDate'  => date('Y-m-d', time() + 1*3600),
    'products'      => array(
        array(
            'name'                      => "Produs 1",
            'code'                      => "ccd1",
            'isDiscount'                => false,
            'measuringUnitName'         => "buc",
            'currency'                  => "RON",
            'quantity'                  => 2,
            'price'                     => 10,
            'isTaxIncluded'             => true,
            'taxName'                   => "Redusa",
            'taxPercentage'             => 9,
            'isService'                 => false,
        ),
        array(
            'name'                      => "Produs 2",
            'code'                      => "ccd2",
            'isDiscount'                => false,
            'measuringUnitName'         => "buc",
            'currency'                  => "RON",
            'quantity'                  => 2,
            'price'                     => 10,
            'isTaxIncluded'             => true,
            'taxName'                   => "Normala",
            'taxPercentage'             => 20,
            'saveToDb'                  => false,
            'isService'                 => false,
        ),
        array(
            'name'                      => "Discount valoric pe produsul 2",
            'isDiscount'                => true,
            'numberOfItems'             => 1,
            'measuringUnitName'         => "buc",
            'currency'                  => "RON",
            'quantity'                  => 1,
            'isTaxIncluded'             => true,
            'taxName'                   => "Normala",
            'taxPercentage'             => 20,
            'discountType'              => SmartBillCloudRestClient::DiscountType_Valoric,
            'discountValue'             => -15,
        ),
    ),
);
echo 'Folosirea cotelor TVA: ';
try {
    $output = $sbcClient->createInvoice($invoice); //invoice.Number will be  generated by the server
    $invoiceNumber = $output['number'];
    $invoiceSeries = $output['series'];
    echo $invoiceSeries . $invoiceNumber;
} catch (Exception $ex) {
    echo $ex->getMessage();
}